#include "runFinger.h"
runFinger::runFinger(): _servo_val(100)
{
  ser = Servo();
}
void runFinger::init(int pin, int min_s, int max_s)
{
  ser.attach(pin);
  _servo_min = min_s; 
  _servo_max = max_s; 
  pin_s = pin;
  ser.write(_servo_max);
  _servo_val = _servo_max;
}

bool runFinger::close_finger()
{
  if(_servo_val >= _servo_min)
  {
    ser.write(_servo_val);
    _servo_val -= 10;
    return false;
  }
  return true;
}

bool runFinger::open_finger()
{
  if (_servo_val <= _servo_max)
  {
    ser.write(_servo_val);
    _servo_val += 10;
    return false;
  }   
  return true;   
}
  
