#include "runHand.h"
#include "runFinger.h"

runHand::runHand(int f) : _num_fingers(f)
{
  for (int n(0); n < _num_fingers; n++)
  {
    runFinger* f = new runFinger();
    fingers[n] = f;
  }
}

runHand::~runHand()
{
  delete [] fingers;
}

void runHand::init_hand(int pins[], int mins[], int maxs[])
{
  for (int n(0); n < _num_fingers; n++)
  {
    fingers[n]->init(pins[n], mins[n], maxs[n]);
  }
}

void runHand::openHand()
{
  int opened = 0;
  while (opened < _num_fingers)
  {
    opened = 0;
    for (int n(0); n < _num_fingers; n++)
    {
      if(fingers[n]->open_finger())
      {
       opened++;
      }
    }
  }
}

void runHand::closeHand(int f [], int nf)
{
 int closed = 0;
 while (closed < nf)
 {
  closed = 0;
  for (int n(0); n< _num_fingers; n++)
  {
    if(f[n])
    {
      if(fingers[n]->close_finger())
      {
       closed++;
      }
    }
  }
 }
}

