#include "runHand.h"

runHand h(5);
int pins [5] = {2,3,4,5,6};
int mins[5] = {30,30,30,30,30};
int maxs[5] = {150,150,150,150,150};
int fp[5] = {0,0,0,0,0};
String serialstuff;

void setup() 
{
 Serial.begin(115200);
 h.init_hand(pins,mins,maxs);
 Serial.println("Ready");
}

void loop() 
{
 while(Serial.available())
  {
      if (Serial.available()>=6) 
    {
      serialstuff = Serial.readString();
      delay(100);
    }
  }
  Serial.print("serialstuff: ");
  Serial.println(serialstuff);
  Serial.flush();
  //open
 if(serialstuff.charAt(0) == 'o')
  {
    h.openHand();
    delay(2000);
    Serial.println("Opened");
    delay(100);
  }

  //close
  else if(serialstuff.charAt(0)=='c')
  {
    String fps = serialstuff.substring(1, serialstuff.length());
    int nf = 0;
    for (int n(0); n < fps.length(); n++)
    {
      if (fps[n] =='1')
      {
        fp[n] = 1;
        nf++;
      } 
      else
        fp[n] = 0;
    }
    h.closeHand(fp,nf);
    delay(2000);
    Serial.println("Closed");
    delay(100);
  }

}
